<template>
    <template if:true={isModalOpen}>
        <section class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container">
                <header class="slds-modal__header">
                    <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" onclick={closeModal} >
                        <lightning-icon icon-name="utility:close" variant="inverse" size="small">
                            <label>Close</label>
                        </lightning-icon>
                    </button>
                    <h2 class="slds-text-heading_medium slds-hyphenate">{headerText}</h2>
                </header>
                <div class="slds-modal__content slds-var-p-around_medium slds-text-align_center">
                    {bodyText}
                </div>
                <footer class="slds-modal__footer">
                    <button class="slds-button slds-button_neutral" onclick={closeModal} title="OK">OK</button>
                </footer>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>
</template>